package ab;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JLabel;
import javax.swing.JList;

/**
 * A cell renderer for a JComboBox displaying the categories available.
 * 
 * @see Category
 * @author ahoefer
 * 
 */
public class CategoryComboBoxCellRenderer extends DefaultListCellRenderer {

	private static final long serialVersionUID = 5579539219288023668L;

	/**
	 * Adds a icon to the DefaultListCellRenderer's label.
	 * 
	 * @see DefaultListCellRenderer#getListCellRendererComponent(JList, Object,
	 *      int, boolean, boolean)
	 * @param list
	 *            The JList we're painting.
	 * @param value
	 *            The value returned by list.getModel().getElementAt(index).
	 * @param index
	 *            The cells index.
	 * @param isSelected
	 *            True if the specified cell was selected.
	 * @param cellHasFocus
	 *            True if the specified cell has the focus.
	 * @return A component whose paint() method will render the specified value.
	 */
	@Override
	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
		JLabel label = (JLabel) super.getListCellRendererComponent(list, value,
				index, isSelected, cellHasFocus);

		Category category = (Category) value;
		label.setIcon(category.getIcon());
		return label;
	}

}
