package ab.table;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;

import ab.Category;

/**
 * A cell renderer for the column of the AddressTable displaying the Category.
 * 
 * @author ahoefer
 * @see Cateogry
 * @see AddressTable
 * 
 */
public class AddressTableCategoryRenderer extends AddressTableStringRenderer {

	/**
	 * Returns the table cell render for the Category in an AddressTable.
	 * 
	 * @param table
	 *            the JTable
	 * @param value
	 *            the value to assign to the cell at [row, column]
	 * @param isSelected
	 *            true if cell is selected
	 * @param hasFocus
	 *            true if cell has focus
	 * @param row
	 *            the row of the cell to render
	 * @param column
	 *            the column of the cell to render
	 * @return A component whose paint() method will render the specified value.
	 */
	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {
		JLabel label = (JLabel) super.getTableCellRendererComponent(table,
				value, isSelected, hasFocus, row, column);
		Category category = (Category) value;
		label.setIcon(category.getIcon());
		return label;
	}

}
